| usbpsu Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

Functions
xusb_class_storage.h File Reference

## Overview

This file contains definitions used in the Mass Storage class code.

    MODIFICATION HISTORY:

    Ver   Who  Date     Changes

    1.0   sg  06/06/16  First release
    1.4   BK  12/01/18 Renamed the file and added changes to have a common
                  example for all USB IPs.

## Functions
void | ClassReq (struct Usb_DevData *InstancePtr, SetupPacket *SetupData)
| This function is class handler for Mass storage and is called when Setup packet received is for Class request(not Standard Device request) More...
void | ParseCBW (struct Usb_DevData *InstancePtr)
| This function handles Reduced Block Command (RBC) requests from the host. More...
void | SendCSW (struct Usb_DevData *InstancePtr, u32 Length)
| This function is used to send SCSI Command Status Wrapper to Host. More...

## Function Documentation

void ClassReq | ( | struct Usb_DevData * | InstancePtr,
|  | SetupPacket * | SetupData
| ) |  |

This function is class handler for Mass storage and is called when Setup packet received is for Class request(not Standard Device request)

Parameters

  InstancePtr | is pointer to Usb_DevData instance.
  SetupData | is pointer to SetupPacket received.

Returns
  None

Note
  None.

void ParseCBW | ( | struct Usb_DevData * | InstancePtr | ) |

This function handles Reduced Block Command (RBC) requests from the host.

Parameters

  InstancePtr | is a pointer to Usb_DevData instance of the controller.

Returns
  None.

Note
  None.

References IsSuperSpeed(), Usb_DevData::PrivateData, SendCSW(), and Status.

void SendCSW | ( | struct Usb_DevData * | InstancePtr,
|  | u32 | Length
| ) |  |

This function is used to send SCSI Command Status Wrapper to Host.

Parameters

  InstancePtr | is pointer to Usb_DevData instance.
  Length | is the data residue.

Returns
  None

Note

References Usb_DevData::PrivateData.